MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005003ATutorUpgradingpublic2012-06-27 12:162012-07-26 09:59
Reportercindy 
Assigned Togreg 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version2.0.3Fixed in Version2.1 
Summary0005003: Auto calculates modules.privilege and modules.admin_privileges in the upgrade SQL files
DescriptionThe upgrading process deletes the add-on modules from `modules` table because when the new module row gets inserted from the upgrade SQL scripts, the bitwise numbers @ modules.privilege and modules.admin_privileges are sometimes hardcoded.

Modifying these SQL statement to auto calculate these numbers should allow the add-on modules be kept after the upgrade.
TagsNo tags attached.
Affects versionSVN
SVN Revision#48706a5..0fe43dd atutor_2_0_3-multisite -> atutor_2_0_3-multisite
Attached Files

- Relationships

-  Notes
(0005648)
greg (administrator)
2012-07-16 16:07

is this fixed yet?
(0005651)
greg (administrator)
2012-07-17 11:27

replace hardcoded privilege and admin_privilege bitwise values with max() to take next available
(0005739)
greg (administrator)
2012-07-26 09:59

close for ATutor 2.1

- Issue History
Date Modified Username Field Change
2012-06-27 12:16 cindy New Issue
2012-07-10 13:28 greg Assigned To => cindy
2012-07-10 13:28 greg Status new => assigned
2012-07-16 16:07 greg Note Added: 0005648
2012-07-17 11:27 greg SVN Revision# => 48706a5..0fe43dd atutor_2_0_3-multisite -> atutor_2_0_3-multisite
2012-07-17 11:27 greg Note Added: 0005651
2012-07-17 11:27 greg Status assigned => resolved
2012-07-17 11:27 greg Fixed in Version => 2.1
2012-07-17 11:27 greg Resolution open => fixed
2012-07-17 11:27 greg Assigned To cindy => greg
2012-07-26 09:59 greg Note Added: 0005739
2012-07-26 09:59 greg Status resolved => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker